Modify

Ticket #9276 (closed Bugs: fixed)

Opened 6 months ago

Last modified 6 months ago

output from a system_clock::time_point get a time_point that is one day later than expected

Reported by: viboes Owned by: viboes
Milestone: Boost 1.55.0 Component: chrono
Version: Boost 1.54.0 Severity: Problem
Keywords: Cc:

Description

Test output: teeks99tmp-win2008-32on64 - chrono - test_7868_d / msvc-10.0
Rev 86357 / Fri, 18 Oct 2013 19:43:22 +0000
Compile [2013-10-19 07:40:52 UTC]: succeed


call "C:\Program Files (x86)\Microsoft Visual Studio 10.0\vc\vcvarsall.bat" x86 >nul
cl /Zm800 -nologo @"C:\local\results\boost\bin.v2\libs\chrono\test\test_7868_d.test\msvc-10.0\debug\asynch-exceptions-on\test_7868.obj.rsp" 

test_7868.cpp
C:\local\boost\boost/chrono/io/time_point_io.hpp(849) : warning C4800: 'int32_t' : forcing value to bool 'true' or 'false' (performance warning)
C:\local\boost\boost/chrono/io/time_point_io.hpp(892) : warning C4996: 'localtime': This function or variable may be unsafe. Consider using localtime_s instead. To disable deprecation, use _CRT_SECURE_NO_WARNINGS. See online help for details.
        c:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\INCLUDE\time.inl(112) : see declaration of 'localtime'
        ..\libs\chrono\test\test_7868.cpp(28) : see reference to function template instantiation 'std::basic_ostream<_Elem,_Traits> &boost::chrono::operator <<<char,std::char_traits<char>,boost::chrono::system_clock::duration>(std::basic_ostream<_Elem,_Traits> &,const boost::chrono::time_point<Clock> &)' being compiled
        with
        [
            _Elem=char,
            _Traits=std::char_traits<char>,
            Clock=boost::chrono::system_clock
        ]

file C:\local\results\boost\bin.v2\libs\chrono\test\test_7868_d.test\msvc-10.0\debug\asynch-exceptions-on\test_7868_d.exe.rsp

"C:\local\results\boost\bin.v2\libs\system\build\msvc-10.0\debug\asynch-exceptions-on\boost_system-vc100-gd-1_55.lib" 
"C:\local\results\boost\bin.v2\libs\chrono\build\msvc-10.0\debug\asynch-exceptions-on\boost_chrono-vc100-gd-1_55.lib" 
"C:\local\results\boost\bin.v2\libs\chrono\test\test_7868_d.test\msvc-10.0\debug\asynch-exceptions-on\test_7868.obj"    
            

Link [2013-10-19 07:40:52 UTC]: succeed


call "C:\Program Files (x86)\Microsoft Visual Studio 10.0\vc\vcvarsall.bat" x86 >nul
link /NOLOGO /INCREMENTAL:NO /DEBUG /MACHINE:X86 /MANIFEST /subsystem:console /out:"C:\local\results\boost\bin.v2\libs\chrono\test\test_7868_d.test\msvc-10.0\debug\asynch-exceptions-on\test_7868_d.exe"   @"C:\local\results\boost\bin.v2\libs\chrono\test\test_7868_d.test\msvc-10.0\debug\asynch-exceptions-on\test_7868_d.exe.rsp"
        if %ERRORLEVEL% NEQ 0 EXIT %ERRORLEVEL%
    
            

Run [2013-10-19 07:40:52 UTC]: fail


A:2013-10-19 23:26:32.131400 +0000

B:2013-10-20 23:26:32.131400 +0000

..\libs\chrono\test\test_7868.cpp(33): test 'atnow.time_since_epoch().count() == atnow2.time_since_epoch().count()' failed in function 'int __cdecl main(void)': '13821387921314000' != '13822251921314000'
diff:86400000000
..\libs\chrono\test\test_7868.cpp(37): test 'boost::chrono::duration_cast<microseconds>(atnow2 - atnow).count() == 0' failed in function 'int __cdecl main(void)': '86400000000' != '0'
actual:2013-10-19 23:26:32
parsed:2013-10-20 23:26:32
..\libs\chrono\test\test_7868.cpp(49): test 'formatted1.str() == formatted2.str()' failed in function 'int __cdecl main(void)': '2013-10-19 23:26:32' != '2013-10-20 23:26:32'
FORMATTED
actual:2013-10-19 23:26:32

parsed:2013-10-20 23:26:32

..\libs\chrono\test\test_7868.cpp(70): test 'boost::chrono::duration_cast<seconds>(atnow2 - atnow).count() == 0' failed in function 'int __cdecl main(void)': '86399' != '0'
4 errors detected.
 
EXIT STATUS: 1 
            


Attachments

Change History

comment:1 Changed 6 months ago by viboes

  • Summary changed from input from a system_clock::time_point get a time_point that is one day later than expected to output from a system_clock::time_point get a time_point that is one day later than expected

comment:2 Changed 6 months ago by viboes

  • Status changed from new to assigned

comment:3 Changed 6 months ago by viboes

Committed revision [86410][86413].

Last edited 6 months ago by viboes (previous) (diff)

comment:4 Changed 6 months ago by viboes

  • Milestone changed from To Be Determined to Boost 1.55.0

comment:5 Changed 6 months ago by viboes

Merged to release [86448][86491][86492].

Last edited 6 months ago by viboes (previous) (diff)

comment:6 Changed 6 months ago by viboes

  • Status changed from assigned to closed
  • Resolution set to fixed
View

Add a comment

Modify Ticket

Change Properties
<Author field>
Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.